org.apache.xmlbeans.impl.xb.xsdschema

## Interface AttributeGroupDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    AttributeGroupDocumentImpl

      public interface AttributeGroupDocument
      extends XmlObject

  A document containing one attributeGroup(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<AttributeGroupDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedAttributeGroup` | `addNewAttributeGroup()` Appends and returns a new empty "attributeGroup" element
    `NamedAttributeGroup` | `getAttributeGroup()` Gets the "attributeGroup" element
    `void` | `setAttributeGroup(NamedAttributeGroup attributeGroup)` Sets the "attributeGroup" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<AttributeGroupDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getAttributeGroup

          NamedAttributeGroup getAttributeGroup()

      Gets the "attributeGroup" element

    - #### setAttributeGroup

          void setAttributeGroup(NamedAttributeGroup attributeGroup)

      Sets the "attributeGroup" element

    - #### addNewAttributeGroup

          NamedAttributeGroup addNewAttributeGroup()

      Appends and returns a new empty "attributeGroup" element